ros-melodic-rosconsole (1.13.17-1stretch) stretch; urgency=high

  * check MSVC predefined macro (#45 <https://github.com/ros/rosconsole/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Aug 2020 07:00:00 -0000

ros-melodic-rosconsole (1.13.16-1stretch) stretch; urgency=high

  * fix message in filter parameters (#43 <https://github.com/ros/rosconsole/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-melodic-rosconsole (1.13.15-1stretch) stretch; urgency=high

  * export boost-regex-dev for now (#38 <https://github.com/ros/rosconsole/issues/38>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.14-1stretch) stretch; urgency=high

  * add missing run dep for boost regex (#37 <https://github.com/ros/rosconsole/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.13-1stretch) stretch; urgency=high

  * bump minimum CMake version to avoid CMP0048 warning (#36 <https://github.com/ros/rosconsole/issues/36>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.12-1stretch) stretch; urgency=high

  * declare specific boost dependencies (#35 <https://github.com/ros/rosconsole/issues/35>)
  * fix console printer to also print unknown levels (#34 <https://github.com/ros/rosconsole/issues/34>)
  * fix level comparison for compatibility with upstream log4cxx (#33 <https://github.com/ros/rosconsole/issues/33>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.11-1stretch) stretch; urgency=high

  * direct WARN level messages to stderr (#29 <https://github.com/ros/rosconsole/issues/29>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-melodic-rosconsole (1.13.10-1stretch) stretch; urgency=high

  * add missing declaration of deregister_appender in impl namespace (#28 <https://github.com/ros/rosconsole/issues/28>)
  * add deregistry declaration and base impl (#23 <https://github.com/ros/rosconsole/issues/23>)
  * dll import/export visibility macro update (#26 <https://github.com/ros/rosconsole/issues/26>)
  * fix long message causing program exit at exception (#25 <https://github.com/ros/rosconsole/issues/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-melodic-rosconsole (1.13.9-1stretch) stretch; urgency=high

  * don't overlay variables in logging macro (#21 <https://github.com/ros/rosconsole/issues/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Nov 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.8-1stretch) stretch; urgency=high

  * fix double index increment in rosconsole_glog (#15 <https://github.com/ros/rosconsole/issues/15>)
  * trigger LOG_THROTTLE when time goes backwards (#12 <https://github.com/ros/rosconsole/issues/12>)
  * add deregistry function for LogAppender. (#17 <https://github.com/ros/rosconsole/issues/17>)
  * replaced zero for NULL for null pointer constants (#14 <https://github.com/ros/rosconsole/issues/14>)
  * fix rosconsole build issue when built on Windows (#13 <https://github.com/ros/rosconsole/issues/13>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 09 Nov 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.7-1stretch) stretch; urgency=high

  * moved rosconsole into a separate repository (see rosdistro#17919 <https://github.com/ros/rosdistro/issues/17919>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosconsole (1.13.6-1stretch) stretch; urgency=high

  * rename log macro argument from rate to period (#1318 <https://github.com/ros/ros_comm/issues/1318>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosconsole (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.3-1stretch) stretch; urgency=high

  * replace 'while(0)' with 'while(false)' to avoid warnings (#1179 <https://github.com/ros/ros_comm/issues/1179>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.1-1stretch) stretch; urgency=high

  * remove extra semicolon in definition of macro ROSCONSOLE_PRINTF_ATTRIBUTE(a, b) (#1056 <https://github.com/ros/ros_comm/pull/1056>)
  * add ROSCONSOLE_STDOUT_LINE_BUFFERED env var to force flushing stdout in Formatter::print (#1012 <https://github.com/ros/ros_comm/issues/1012>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rosconsole (1.12.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-melodic-rosconsole (1.12.6-1stretch) stretch; urgency=high

  * add missing walltime to roscpp logging (#879 <https://github.com/ros/ros_comm/pull/879>)
  * fix building on GCC-6 (#911 <https://github.com/ros/ros_comm/pull/911>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.1-1stretch) stretch; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.0-1stretch) stretch; urgency=high

  * make LogAppender and Token destructor virtual (#729 <https://github.com/ros/ros_comm/issues/729>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-melodic-rosconsole (1.11.18-1stretch) stretch; urgency=high

  * fix compiler warnings

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-melodic-rosconsole (1.11.17-1stretch) stretch; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-melodic-rosconsole (1.11.16-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-melodic-rosconsole (1.11.15-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-melodic-rosconsole (1.11.14-1stretch) stretch; urgency=high

  * avoid redefining ROS_ASSERT_ENABLED (#628 <https://github.com/ros/ros_comm/pull/628>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-melodic-rosconsole (1.11.13-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-melodic-rosconsole (1.11.12-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-melodic-rosconsole (1.11.11-1stretch) stretch; urgency=high

  * add DELAYED_THROTTLE versions of log macros (#571 <https://github.com/ros/ros_comm/issues/571>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-melodic-rosconsole (1.11.10-1stretch) stretch; urgency=high

  * fix various defects reported by coverity

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-melodic-rosconsole (1.11.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.6-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.5-1stretch) stretch; urgency=high

  * rename variables within rosconsole macros (#442 <https://github.com/ros/ros_comm/issues/442>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-melodic-rosconsole (1.11.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-melodic-rosconsole (1.10.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-melodic-rosconsole (1.9.54-1stretch) stretch; urgency=high

  * fix rosconsole segfault when using ROSCONSOLE_FORMAT with  (#342 <https://github.com/ros/ros_comm/issues/342>)
  * add missing run/test dependencies on rosbuild to get ROS_ROOT environment variable

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-melodic-rosconsole (1.9.53-1stretch) stretch; urgency=high

  * readd g_level_lockup symbol for backward compatibility when log4cxx is being used

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-melodic-rosconsole (1.9.52-1stretch) stretch; urgency=high

  * fix missing export of rosconsole backend interface library

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-melodic-rosconsole (1.9.51-1stretch) stretch; urgency=high

  * refactor rosconsole to not expose log4cxx, implement empty and log4cxx backends

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-melodic-rosconsole (1.9.50-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.49-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.48-1stretch) stretch; urgency=high

  * wrap condition in ROS_ASSERT_CMD in parenthesis (#271 <https://github.com/ros/ros_comm/issues/271>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.47-1stretch) stretch; urgency=high

  * force CMake policy before setting preprocessor definition to ensure correct escaping (#245 <https://github.com/ros/ros_comm/issues/245>)
  * check for CATKIN_ENABLE_TESTING to enable configure without tests

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.46-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.45-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.44-1stretch) stretch; urgency=high

  * fix install destination for dll's under Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.43-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-melodic-rosconsole (1.9.42-1stretch) stretch; urgency=high

  * fix handling spaces in folder names (ros/catkin#375 <https://github.com/ros/catkin/issues/375>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-melodic-rosconsole (1.9.41-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-melodic-rosconsole (1.9.40-1stretch) stretch; urgency=high

  * fix dependent packages by pass LOG4CXX include dirs and libraries along
  * fix usage of variable arguments in vFormatToBuffer() function

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-melodic-rosconsole (1.9.39-1stretch) stretch; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


